using Interfaces;

namespace IrDaemonNotifier
{
    public class IrDaemonTransponderUtilityFactory : ITransponderUtilityProviderFactory
    {
        private readonly ILoggerService _logger;

        public IrDaemonTransponderUtilityFactory(ILoggerService logger)
        {
            _logger = logger;
        }

        public ITransponderUtilityProvider GetProvider()
        {
            return new IrDaemonTransponderUtilities(_logger);
        }
    }
}